﻿using System;

namespace EonaCat.HID.Models
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/license for full license details.
    public class HidReport
    {
        public byte ReportId { get; }
        public byte[] Data { get; }

        public HidReport(byte reportId, byte[] data)
        {
            ReportId = reportId;
            Data = data ?? Array.Empty<byte>();
        }
    }
}
